#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Wnck.Objects.Screen where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Screen = Screen (ManagedPtr Screen)
instance GObject Screen where
class (GObject o, O.IsDescendantOf Screen o) => IsScreen o
instance (GObject o, O.IsDescendantOf Screen o) => IsScreen o
instance O.HasParentTypes Screen
#if ENABLE_OVERLOADING
data ScreenActiveWindowChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenActiveWorkspaceChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenApplicationClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenApplicationOpenedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenBackgroundChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenClassGroupClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenClassGroupOpenedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenShowingDesktopChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenViewportsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWindowClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWindowManagerChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWindowOpenedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWindowStackingChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWorkspaceCreatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenWorkspaceDestroyedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ScreenCalcWorkspaceLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenChangeWorkspaceCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenForceUpdateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetActiveWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetActiveWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetBackgroundPixmapMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetNumberMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetPreviouslyActiveWindowMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetShowingDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWindowManagerNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWindowsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWindowsStackedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWorkspaceCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenGetWorkspacesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenMoveViewportMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenNetWmSupportsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenReleaseWorkspaceLayoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenToggleShowingDesktopMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScreenTrySetWorkspaceLayoutMethodInfo
#endif
