#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Wnck.Objects.Window where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Window = Window (ManagedPtr Window)
instance GObject Window where
class (GObject o, O.IsDescendantOf Window o) => IsWindow o
instance (GObject o, O.IsDescendantOf Window o) => IsWindow o
instance O.HasParentTypes Window
#if ENABLE_OVERLOADING
data WindowActionsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowClassChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowGeometryChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowIconChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowNameChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowRoleChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowStateChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowTypeChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowWorkspaceChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowActivateTransientMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetActionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetClassGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetClassGroupNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetClassInstanceNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetClientWindowGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetGroupLeaderMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconIsFallbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetMiniIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetPidMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetRoleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetScreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSessionIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSessionIdUtf8MethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetTransientMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetWindowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowGetXidMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasIconNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowHasNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsAboveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsBelowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsInViewportMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMaximizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMaximizedHorizontallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMaximizedVerticallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMinimizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsMostRecentlyActivatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsOnWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsPinnedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsShadedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsSkipPagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsSkipTasklistMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsStickyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowIsVisibleOnWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowKeyboardMoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowKeyboardSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMakeAboveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMakeBelowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMaximizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMaximizeHorizontallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMaximizeVerticallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMinimizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowMoveToWorkspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowNeedsAttentionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowOrTransientNeedsAttentionMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPinMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetIconGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetSkipPagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetSkipTasklistMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowSetWindowTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowShadeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowStickMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowTransientIsMostRecentlyActivatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmakeAboveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmakeBelowMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmaximizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmaximizeHorizontallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnmaximizeVerticallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnminimizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnpinMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnshadeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowUnstickMethodInfo
#endif
